/* Html 
============================================= */
html,
body {
  position: relative;
  font-family: $font-family-sans-serif;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  font-size: $font-size-base;
  scroll-behavior: smooth;
  &.no-scroll {
    overflow: hidden;
  }
  user-select: none;
}

/* Body 
============================================= */
body {
  min-width: 375px;
  line-height: 1.77778;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: $color_black;
  background-color: transparent;
}

main {
  position: relative;
  min-height: 90vh;
  padding-bottom: 350px;
}

/* Root
============================================= */
:root {
  --animate-delay: 0.3s;
}

/* Main Page 
============================================= */
#app {
  padding-top: 10vh;
}

.wrapper-center {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

a {
  text-decoration: none;
  color: $color_black;
}

/* Btn
============================================= */
.btn-icon-round {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  background: $color_full_white;
  -webkit-box-shadow: 0 5px 20px rgba($color_black, 0.15);
  box-shadow: 0 5px 20px rgba($color_black, 0.15);
  @extend %base-transition;
}

/* Custom icon && for icon
============================================= */
.custom-icon {
  width: 20px;
  height: 20px;
  @extend %base-transition;
}

.custom-icon-big {
  width: 30px;
  height: 30px;
  @extend %base-transition;
}

.svg-text {
  position: relative;
  display: block;
  .text-wrapper {
    position: relative;
    display: inline;
    padding: 0px 0px 0px 20px;
  }
}

.svg-text-contact {
  margin-left: -2px; // icon have padding in path... need to align
  svg {
    width: 23px;
    height: 23px;
  }
}

/* Transition 
============================================= */
h1,
h2,
h3,
h4,
h5,
p,
.subtitle {
  @extend %base-transition;
}

/* TYPOGRAPHIE
============================================= */
h1 {
  font-size: 3.5em;
  font-weight: 600;
  user-select: none;
}

h2 {
  font-size: 2.5em;
  font-weight: 600;
  user-select: none;
}

h3 {
  font-size: 2em;
  font-weight: 600;
  user-select: none;
}

p,
li {
  user-select: text;
  line-height: 2;
  letter-spacing: 0.05em;
}

a {
  &:hover {
    color: $color_purple;
  }
}

/* Subtitle 
============================================= */
.subtitle {
  position: relative;
  line-height: 1.4px;
  font-weight: 600;
  padding-left: 60px;
  user-select: none;
  // font-size: 1.5em;
  &.subtitle-left {
    float: left;
  }
  &.subtitle-right {
    float: right;
  }
  &::before {
    content: "";
    position: absolute;
    left: 0px;
    width: 45px;
    height: 2px;
  }
}

/* Others 
============================================= */
a {
  &:hover {
    text-decoration: none;
    color: $color_purple;
  }
}

.wrapper-carousel-icon {
  padding: 10px 10px 10px 10px;
  opacity: 1;
  color: $color_black;
  svg {
    height: 25px;
    width: 25px;
    path {
      fill: $color_black;
    }
  }
}

.wrapper-carousel-icon-right {
  margin-right: -110px;
}

.wrapper-carousel-icon-left {
  margin-right: 110px;
}

/* Colors 
============================================= */
@include generateColors;

.hidden {
  display: none;
}

.visible {
  display: block;
}
